| Home | Libraries | People | FAQ | More

## Function template set_symmetric_difference

boost::compute::set_symmetric_difference — Set symmetric difference algorithm.

## Synopsis

    // In header: <boost/compute/algorithm/set_symmetric_difference.hpp>

    template<typename InputIterator1, typename InputIterator2,
             typename OutputIterator>
      OutputIterator
      set_symmetric_difference(InputIterator1 first1, InputIterator1 last1,
                               InputIterator2 first2, InputIterator2 last2,
                               OutputIterator result,
                               command_queue & queue = system::default_queue());

## Description

Finds the symmetric difference of the sorted range [first2, last2) from the sorted range [first1, last1) and stores it in range starting at result Space complexity: \Omega(2(distance(`first1`, `last1`) + distance(`first2`, `last2`)))

Parameters:

`first1` | Iterator pointing to start of first set
`last1` | Iterator pointing to end of first set
`first2` | Iterator pointing to start of second set
`last2` | Iterator pointing to end of second set
`result` | Iterator pointing to start of range in which the symmetric difference will be stored
`queue` | Queue on which to execute

Returns: | Iterator pointing to end of symmetric difference